# Dark
Currently just called "Dark," this game is more a technical idea/demo rather than a fully-fledged gameplay concept.

The idea is that by using mostly low-bpp sprites, we can get away with tons more animation and other effects that would be typically more constrained. To save even more space, I had this crazy idea of implementing basic dynamic lighting on top of the sprites themselves.

## Specifications
The palette has reserved slots in 2-3 (red/orange), 14-16 (greys) for palette animation effects or additional lighting effects. Slot 1 is reserved for the 1-bit character animations.

## Image Encoder
The [`encode-image.py`](encode-image.py) script converts a Dark-paletted image into a compressed version that can be imported into TIC-80.

## Media
v01 - started trying to draw lots of animation frames, quickly realized this wasn't the way to go:

![v01](dark-v01.png)

v02 - different concept: still high number of animation frames, but perhaps 2-bit with either baked in or dynamic lighting effects:

![v02](dark-v02.png)
